#include <iostream>
#include <fstream>
#include <cmath>
using namespace std;
int main()
{
    ifstream f1("PT2.inp");
    int a,b,c,d,x1,x2;
    f1>>a>>b>>c;
    f1.close();
    d=(b*b)-(4*a*c);
    ofstream f2("PT2.out");
    f2.setf(ios::fixed);
    f2.setf(ios::showpoint);
    f2.precision(2);
    if(d>=0){
        x1=(-b+sqrt(d))/(2*a);
        x2=(-b-sqrt(d))/(2*a);
    f2<<x2<<" "<<x1;}
    else
    if(d<0){
        f2<<"NO";
    }
    f2.close();
    return 0;
}
